<!DOCTYPE html>
<html>
<head>
	<title>FLEX</title>
</head>
<style type="text/css">


	.flexBox{
		display: flex;
		height: 500px;
		width: 500px;
		background-color:yellow;
		justify-content: center;
		align-items: flex-end;
		flex-direction: column;
		padding:0 20px;
	}
	.red{
		width:420px;
		background-color:green;
	}
</style>
<body>
<div class="flexBox">
	<div class="red">A</div>
	<div class="blue">B</div>
	<div class="blue">c</div>
	<div class="blue">d</div>
	<div class="green">r</div>
</div>
</body>
</html>